// 这个文件主要用于list命令显示模板
let chalk = require('chalk');
let templates = require("../templates.js");
module.exports = async function () {
    let list = await templates.getList()
    for (let key in list) { //key 0,1,2
        let temp = list[key]
        console.log(
            '  ' + '*' +
            '  ' + chalk.green(key) +
            ' - ' + chalk.yellow(temp.name) +
            ' - ' + temp.desc)
    };
    if (!list || list.length == 0) {
        console.log(chalk.yellow('当前无可用模板'))
    }
}