let program = require('commander');
let package = require('../package.json');
let init = require('../lib/init.js');
let list = require('../lib/list')
program
    .version(package.version)
    .usage('<command> [options]');
program.command('init')
    .description("创建新新项目")
    .alias('i')
    .action(function () {
        init();
    })
program.command('list')
    .description("显示可使用的模板列表")
    .alias('l')
    .action(function () {
        list();
    })
program.parse(process.argv);
if (program.args.length == 0) {
    //这里是处理默认没有输入参数或者命令的时候，显示help信息
    program.help();
}