const http = require('https');
const networkGet = function (url) {
    return new Promise((resolve, reject) => {
        http.get(url, function (req, res) {
            let html = '';
            req.on('data', function (data) {
                html += data;
            });
            req.on('end', function () {
                let result = JSON.parse(html);
                // console.log(result)
                resolve(result);
            });
            req.on('error', function () {
                reject(null);
            });
        })
    });
}
module.exports = networkGet