#!/bin/bash
set -e
if [[ -z $1 ]]; then
echo "Enter new version: "
read -r VERSION
else
VERSION=$1
fi

read -p "Releasing $VERSION - are you sure? (y/n) " -n 1 -r
echo
if [[ $REPLY =~ ^[Yy]$ ]]; then
echo "Releasing $VERSION ..."
    # 缺少专用CI机器
    # npm config set registry http://registry.npmjs.org
    # npm login
    # build
    VERSION=$VERSION
    # commit

     # updata tag version
    npm version "$VERSION" --message "build(release): $VERSION"
    echo " $RELEASE_TAG ..."

    git push origin refs/tags/v$VERSION
    # # git release
    # npx conventional-github-releaser -p angular
    # npm
    npm publish --access public
    # npm config set registry https://registry.npm.taobao.org
    # 延时10s去同步淘宝源
    sleep 10
    open 'https://npm.taobao.org/sync/hjvue-cli'
fi

# echo "tag is   $RELEASE_TAG"
# git add -f \
#     lib/**/*
# git commit -m "auto build"
# git push origin $TRAVIS_BRANCH
